NETRect Struct Reference

`#include <netwm_def.h>`

## Public Attributes

NETPoint | pos
NETSize | size

## Detailed Description

Simple rectangle class for NET classes.

This class is a convenience class defining a rectangle as a point x,y with a size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library;

NETRect is only used by the NET API. Usually QRect is the appropriate class for representing a rectangle.

Definition at line 94 of file netwm_def.h.

## Member Data Documentation

NETPoint NETRect::pos

Position of the rectangle.

See also
  NETPoint

Definition at line 100 of file netwm_def.h.

NETSize NETRect::size

Size of the rectangle.

See also
  NETSize

Definition at line 107 of file netwm_def.h.

The documentation for this struct was generated from the following file:

- netwm_def.h

KDE Home | KDE Accessibility Home | Description of Access Keys